<?php

/**
 * Module settings form.
 */
function moip_settings_form($form, &$form_state) {
  $form = array();
  $form['moip_debug'] = array(
    '#type' => 'radios',
    '#title' => t('Do you want to debug every action of this module?'),
    '#options' => array(
      0 => t('No'),
      1 => t('Yes'),
    ),
    '#default_value' => variable_get('moip_debug', 0),
    '#required' => TRUE,
  );
  $form['moip_token'] = array(
    '#type' => 'textfield',
    '#title' => t('MoIP token'),
    '#default_value' => variable_get('moip_token', ''),
    '#required' => TRUE,
  );
  $form['moip_key'] = array(
    '#type' => 'textfield',
    '#title' => t('MoIP key'),
    '#default_value' => variable_get('moip_key', ''),
    '#required' => TRUE,
  );
  $form['moip_server'] = array(
    '#type' => 'radios',
    '#title' => t('MoIP server'),
    '#options' => array(
      1 => ('Sandbox - use for testing, requires a MoIP Sandbox account'),
      0 => ('Production - use for processing real transactions'),
    ),
    '#default_value' => variable_get('moip_server', ''),
    '#required' => TRUE,
  );
  $form['moip_site_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Website url'),
    '#description' => t('Used to tell MoIP where to send the notifications(NASP).'),
    '#default_value' => variable_get('moip_site_url', url('moip/notification', array('absolute' => TRUE))),
    '#required' => TRUE,
  );
  $form['moip_display_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Display title'),
    '#description' => t('Text used on the checkout page description of the payment method.'),
    '#default_value' => variable_get('moip_display_title', 'MoIP'),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}